Draft Scale/es: Difference between revisions

From FreeCAD Documentation
(Languages spanish)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/es|Name=Draft_Scale|Workbenches=[[Draft Module/es|Croquis]], [[Arch Module/es|Arquitectura]]|MenuLocation=Croquis -> Escala|Shortcut=S C|Ver también=[[Draft Clone/es|Clonar]]}}
{{GuiCommand|Name=Draft_Scale|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Scale|Shortcut=S C|SeeAlso=[[Draft Clone]]}}


==Descripción==
==Description==


This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one.
Esta herramienta escala los objetos seleccionados con respecto a un punto base. Si no se han seleccionado objetos, te invitará a seleccionarlos.


[[Image:Draft_Scale_example.jpg|400px]]
[[Image:Draft_Scale_example.jpg|400px]]


==Utilización==
==How to use==


# Select objects you wish to scale
# Selecciona los objetos que quieres escalar
# Presiona el botón {{KEY|[[Image:Draft Scale.png|16px]] [[Draft Scale/es|Escala]]}}, o presiona las teclas {{KEY|S}} y {{KEY|C}}
# Press the {{KEY|[[Image:Draft Scale.png|16px]] [[Draft Scale]]}} button, or press {{KEY|S}} then {{KEY|C}} keys
# Indica un primer punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Indica otro punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
# Click another point on the 3D view, or type a [[Draft_Coordinates|coordinate]]


==Opciones==
==Options==


* Para introducir coordenadas manualmente, simplemente introduce los números, presiona {{KEY|ENTER}} entre cada componente X, Y y Z.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Las componentes X, Y, Z del segundo punto definen el factor de escala. Por ejemplo, (1,1,1) no hará nada, (2,2,2) utilizará un factor de escala scale 2x en todas las direcciones, (-1,1,1) hará una simetría en la dirección X.
* The x, y and z components of the second point define the scale factor. For example, (1,1,1) would do nothing, (2,2,2) would scale 2x in all directions, (-1,1,1) would mirror in x direction.
* Presionando {{KEY|ALT}} o {{KEY|C}} o pulsando el botón {{KEY|'''Copiar'''}} se creará una copia de los objetos, en lugar de escalar los originales. Si mantienes presionada {{KEY|ALT}} después de indicar el segundo punto, podrás crear más copias, hasta que liberes la tecla {{KEY|ALT}}.
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of scaling the original. If you keep {{KEY|ALT}} pressed after clicking the second point, you will be able to place more copies, until you release the {{KEY|ALT}} key.
* Presiona {{KEY|CTRL}} mientras dibujas para forzar el [[Draft_Snap/es|ajuste]] de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Presionando {{KEY|SHIFT}} se bloqueará la relación de las coordenadas X e Y, de modo que la forma no se distorsione.
* Pressing {{KEY|SHIFT}} will lock x and y values together, so the shape is not deformed.
* Presionando {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.
* El objeto resultante es una [[Draft Clone/es|clonación]], que permite cambiar el valor de escala después de que se ha creado.
* The resulting object is a [[Draft Clone]], which allows you to change the scale values after it has been created.


==Scripting==
==Archivos de guión==


The Scale tool can by used in [[macros]] and from the python console by using the following function:
La herramienta de Escalar se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente instrucción:


<syntaxhighlight>
'''scale (objects,vector,[center,copy,legacy])''': Escala los objetos contenidos en objects (que pueden ser una lista de objetos
scale (objects,vector,[center,copy,legacy])
o un objeto) por los factores de escala definidos por el vector dado (en direcciones X, Y y Z) con respecto al centro dado.
</syntaxhighlight>
Si legacy es True, se utiliza el modo directo (antiguo), en caso contrario se crea una copia paramétrica. Si copy es True, los objetos en realidad
no se mueven sino que se crean copias en su lugar. Devuelve los objetos (o sus copias).


* Scales the objects contained in objects (that can be a list of objects or an object) of the given scale factors defined by the given vector (in X, Y and Z directions) around the given center.
Ejemplo:
* If legacy is True, direct (old) mode is used, otherwise a parametric copy is made.
* If copy is True, the actual objects are not moved, but copies are created instead.
* The objects (or their copies) are returned.


Example:

<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
</syntaxhighlight>


<languages/>
{{languages/es | {{en|Draft Scale}} {{fr|Draft Scale/fr}} {{it|Draft Scale/it}} {{se|Draft Scale/se}} }}

Revision as of 18:10, 13 February 2014

Draft_Scale

Menu location
Draft -> Scale
Workbenches
Draft, Arch
Default shortcut
S C
Introduced in version
-
See also
Draft Clone

Description

This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one.

File:Draft Scale example.jpg

How to use

  1. Select objects you wish to scale
  2. Press the Draft Scale button, or press S then C keys
  3. Click a first point on the 3D view, or type a coordinate
  4. Click another point on the 3D view, or type a coordinate

Options

  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • The x, y and z components of the second point define the scale factor. For example, (1,1,1) would do nothing, (2,2,2) would scale 2x in all directions, (-1,1,1) would mirror in x direction.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of scaling the original. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will lock x and y values together, so the shape is not deformed.
  • Press ESC or the Cancel button to abort the current command.
  • The resulting object is a Draft Clone, which allows you to change the scale values after it has been created.

Scripting

The Scale tool can by used in macros and from the python console by using the following function:

 scale (objects,vector,[center,copy,legacy])
  • Scales the objects contained in objects (that can be a list of objects or an object) of the given scale factors defined by the given vector (in X, Y and Z directions) around the given center.
  • If legacy is True, direct (old) mode is used, otherwise a parametric copy is made.
  • If copy is True, the actual objects are not moved, but copies are created instead.
  • The objects (or their copies) are returned.

Example:

 import FreeCAD,Draft
 Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))